## EText

EText

## Functions

void | e_text_cancel_editing ()
void | e_text_stop_editing ()
void | e_text_delete_selection ()
void | e_text_cut_clipboard ()
void | e_text_copy_clipboard ()
void | e_text_paste_clipboard ()
void | e_text_select_all ()

## Properties

gboolean | allow-newlines | Read / Write
gboolean | bold | Read / Write
gchar * | break-characters | Read / Write
gboolean | clip | Read / Write
gdouble | clip-height | Read / Write
gdouble | clip-width | Read / Write
gint | cursor-pos | Read / Write
gboolean | editable | Read / Write
gchar * | ellipsis | Read / Write
ETextEventProcessor * | event-processor | Read / Write
gboolean | fill-clip-rectangle | Read / Write
gchar * | fill-color | Write
GdkColor * | fill-color-gdk | Write
guint | fill-color-rgba | Read / Write
gboolean | handle-popup | Read / Write
gdouble | height | Read / Write
GtkIMContext * | im-context | Read / Write
GtkJustification | justification | Read / Write
gboolean | line-wrap | Read / Write
gint | max-lines | Read / Write
ETextModel * | model | Read / Write
gboolean | strikeout | Read / Write
gchar * | text | Read / Write
gdouble | text-height | Read
gdouble | text-width | Read
gboolean | use-ellipsis | Read / Write
gdouble | width | Read / Write
gdouble | x-offset | Read / Write
gdouble | y-offset | Read / Write

## Signals

void | activate | Run Last
void | changed | Run Last
void | keypress | Run Last
void | populate-popup | Run Last

## Types and Values

struct | EText

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GnomeCanvasItem
                ╰── EText

## Description

## Functions

### e_text_cancel_editing ()

    void
    e_text_cancel_editing (EText *text);

### e_text_stop_editing ()

    void
    e_text_stop_editing (EText *text);

### e_text_delete_selection ()

    void
    e_text_delete_selection (EText *text);

### e_text_cut_clipboard ()

    void
    e_text_cut_clipboard (EText *text);

### e_text_copy_clipboard ()

    void
    e_text_copy_clipboard (EText *text);

### e_text_paste_clipboard ()

    void
    e_text_paste_clipboard (EText *text);

### e_text_select_all ()

    void
    e_text_select_all (EText *text);

## Types and Values

### struct EText

    struct EText;

## Property Details

### The `“allow-newlines”` property

      “allow-newlines”           gboolean

Allow newlines.

Flags: Read / Write

Default value: FALSE

### The `“bold”` property

      “bold”                     gboolean

Bold.

Flags: Read / Write

Default value: FALSE

### The `“break-characters”` property

      “break-characters”         gchar *

Break characters.

Flags: Read / Write

Default value: NULL

### The `“clip”` property

      “clip”                     gboolean

Clip.

Flags: Read / Write

Default value: FALSE

### The `“clip-height”` property

      “clip-height”              gdouble

Clip Height.

Flags: Read / Write

Allowed values: >= 0

Default value: 0

### The `“clip-width”` property

      “clip-width”               gdouble

Clip Width.

Flags: Read / Write

Allowed values: >= 0

Default value: 0

### The `“cursor-pos”` property

      “cursor-pos”               gint

Cursor position.

Flags: Read / Write

Allowed values: >= 0

Default value: 0

### The `“editable”` property

      “editable”                 gboolean

Editable.

Flags: Read / Write

Default value: FALSE

### The `“ellipsis”` property

      “ellipsis”                 gchar *

Ellipsis.

Flags: Read / Write

Default value: NULL

### The `“event-processor”` property

      “event-processor”          ETextEventProcessor *

Event Processor.

Flags: Read / Write

### The `“fill-clip-rectangle”` property

      “fill-clip-rectangle”      gboolean

Fill clip rectangle.

Flags: Read / Write

Default value: FALSE

### The `“fill-color”` property

      “fill-color”               gchar *

Fill color.

Flags: Write

Default value: NULL

### The `“fill-color-gdk”` property

      “fill-color-gdk”           GdkColor *

GDK fill color.

Flags: Write

### The `“fill-color-rgba”` property

      “fill-color-rgba”          guint

GDK fill color.

Flags: Read / Write

Default value: 0

### The `“handle-popup”` property

      “handle-popup”             gboolean

Handle Popup.

Flags: Read / Write

Default value: FALSE

### The `“height”` property

      “height”                   gdouble

Height.

Flags: Read / Write

Allowed values: >= 0

Default value: 0

### The `“im-context”` property

      “im-context”               GtkIMContext *

IM Context.

Flags: Read / Write

### The `“justification”` property

      “justification”            GtkJustification

Justification.

Flags: Read / Write

Default value: GTK_JUSTIFY_LEFT

### The `“line-wrap”` property

      “line-wrap”                gboolean

Line wrap.

Flags: Read / Write

Default value: FALSE

### The `“max-lines”` property

      “max-lines”                gint

Max lines.

Flags: Read / Write

Allowed values: >= 0

Default value: 0

### The `“model”` property

      “model”                    ETextModel *

Model.

Flags: Read / Write

### The `“strikeout”` property

      “strikeout”                gboolean

Strikeout.

Flags: Read / Write

Default value: FALSE

### The `“text”` property

      “text”                     gchar *

Text.

Flags: Read / Write

Default value: NULL

### The `“text-height”` property

      “text-height”              gdouble

Text height.

Flags: Read

Allowed values: >= 0

Default value: 0

### The `“text-width”` property

      “text-width”               gdouble

Text width.

Flags: Read

Allowed values: >= 0

Default value: 0

### The `“use-ellipsis”` property

      “use-ellipsis”             gboolean

Use ellipsis.

Flags: Read / Write

Default value: FALSE

### The `“width”` property

      “width”                    gdouble

Width.

Flags: Read / Write

Allowed values: >= 0

Default value: 0

### The `“x-offset”` property

      “x-offset”                 gdouble

X Offset.

Flags: Read / Write

Allowed values: >= 0

Default value: 0

### The `“y-offset”` property

      “y-offset”                 gdouble

Y Offset.

Flags: Read / Write

Allowed values: >= 0

Default value: 0

## Signal Details

### The `“activate”` signal

    void
    user_function (EText   *etext,
                   gpointer user_data)

Flags: Run Last

### The `“changed”` signal

    void
    user_function (EText   *etext,
                   gpointer user_data)

Flags: Run Last

### The `“keypress”` signal

    void
    user_function (EText   *etext,
                   guint    arg1,
                   guint    arg2,
                   gpointer user_data)

Flags: Run Last

### The `“populate-popup”` signal

    void
    user_function (EText   *etext,
                   gpointer arg1,
                   gint     arg2,
                   GtkMenu *arg3,
                   gpointer user_data)

Flags: Run Last